Subject: Re: [PATCH 0/59] Cleanup sysctl

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 16 Jan 2007 10:58:10 -0800

Eric W. Biederman wrote:
>>>
>> With "architectural" I mean "guaranteed to be stable" (as opposed to
>> "incidental").  Sorry for the confusion.
> 
> Ok.  Then largely we are in agreement.  To implement that the rule is simple.
> If it isn't CTL_UNNUMBERED and the number is in Linus's tree, it is
> our responsibility to never change the meaning of that number.
> 
> If a new sysctl entry is introduced it should be CTL_UNNUMBERED until
> it reaches Linus's tree to avoid conflicts.
> 
> There is simply no point in having any kind of support for numbers
> whose meanings can change.
> 
> Which is why I removed the few cases of binary number duplication I
> found.
> 

Agreed.  *Furthermore*, if the number isn't in <linux/sysctl.h> it 
shouldn't exist anywhere else, either.

	-hpa